Subject: bug#40556: closed (Re: [bug#40556] [PATCH] gnu: dovecot: Add libunwind input.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Apr 2020 08:21:02 +0000

Your bug report

#40556: [PATCH] gnu: dovecot: Add libunwind input.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40556: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40556
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#40556] [PATCH] gnu: dovecot: Add libunwind input.
From: Ludovic Courtès <[email-masked]>
To: Pierre Langlois <[email-masked]>
Cc: Tobias Geerinckx-Rice <[email-masked]>, [email-masked]
Date: Fri, 17 Apr 2020 10:20:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Pierre,

Pierre Langlois <[email-masked]> skribis:

> Right, it seems dovecot isn't yet cross-compilable, but cross-compiling
> libunwind works just fine. With dovecot I get a failure trying to
> compile perl natively, as openssl's native-input I believe.

Not your fault, and it’s fixed on core-updates as you write.

I’ve applied the patch, thank you!

Ludo’.

Subject: [PATCH] gnu: dovecot: Add libunwind input.
From: Pierre Langlois <[email-masked]>
To: [email-masked]
Cc: Julien Lepiller <[email-masked]>
Date: Sat, 11 Apr 2020 17:42:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix, Julien,

I noticed I couldn't build dovecot on either aarch64 or arm :-/. I did a
little bit of debugging, and it looks like the backtrace_symbols()
function isn't working correctly. Dovecot is able to use libunwind
instead, and this appears to work.

I then noticed it was reported upstream already, coming to the same
conclusion https://markmail.org/message/fjgo7lkuk7tk4iek

I wonder what's wrong with backtrace_symbols() in guix, I'm not sure how
to investigate that. For now though, what do you think of using
libunwind?

Thanks,
Pierre

>From b95b8f4769f5543d196fe7e334a891f8fe276816 Mon Sep 17 00:00:00 2001
From: Pierre Langlois <[email-masked]>
Date: Sat, 11 Apr 2020 16:34:01 +0100
Subject: [PATCH] gnu: dovecot: Add libunwind input.

* gnu/packages/mail.scm (dovecot)[inputs]: Add libunwind.
---
 gnu/packages/mail.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index a6ed776db1..4ea8fb6051 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -24,7 +24,7 @@
 ;;; Copyright © 2017 Kyle Meyer <[email-masked]>
 ;;; Copyright © 2017, 2018, 2019, 2020 Tobias Geerinckx-Rice <[email-masked]>
 ;;; Copyright © 2017, 2018 Rene Saavedra <[email-masked]>
-;;; Copyright © 2018, 2019 Pierre Langlois <[email-masked]>
+;;; Copyright © 2018, 2019, 2020 Pierre Langlois <[email-masked]>
 ;;; Copyright © 2018 Alex Vong <[email-masked]>
 ;;; Copyright © 2018 Gábor Boskovits <[email-masked]>
 ;;; Copyright © 2018, 2019, 2020 Ricardo Wurmus <[email-masked]>
@@ -89,6 +89,7 @@
   #:use-module (gnu packages libevent)
   #:use-module (gnu packages libidn)
   #:use-module (gnu packages libunistring)
+  #:use-module (gnu packages libunwind)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages lsof)
   #:use-module (gnu packages lua)
@@ -1435,6 +1436,7 @@ facilities for checking incoming mail.")
     (inputs
      `(("bzip2" ,bzip2)
        ("libsodium" ,libsodium)         ; extra password algorithms
+       ("libunwind" ,libunwind)
        ("linux-pam" ,linux-pam)
        ("lz4" ,lz4)
        ("openssl" ,openssl)
-- 
2.26.0